=== debian/changelog ===
ros-indigo-jsk-pcl-ros (1.2.7-0trusty) trusty; urgency=high

  * add melodic test (#2355 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2355> )
    
      * fix for melodic, use ros::AsyncSpinner
      * revert Reverts #2310 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2310>, kinfu.h uses jsk_rviz_plugins/OverlayText.h, but jsk_recognition should not depends on jsk_visualization, jsk_visualization depends on jsk_recognition
      * moveit API change: Affine3d -> Isometry3d
      * replace tf::MessageFilter by tf2_ros::MessageFilter
    
  * OctomapServerContact sample with PR2(#2392 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2392> )
    
      * [jsk_pcl_ros/octomap_server_contact] check wheter tf transformation succeeds.
      * [jsk_pcl_ros/octomap_server_contact] refactor euslisp node for publishing sensor data.
      * [jsk_pcl_ros/octomap_server_contact] use openmp for scan grids.
      * [jsk_pcl_ros/octomap_server_contact] write with one loop for scanning grid.
      * [jsk_pcl_ros/octomap_server_contact] remove unnecessary lines in the case that vertex is not used (= contact surface is not used). change parameter name: use_vetex -> use_contact_surface.
      * [jsk_pcl_ros/octomap_server_contact] clamp min and max points for scanning all leaf.
      * [jsk_pcl_ros/octomap_server_contact] pass timestamp of subscribed message for tf transformation correctly.
      * [jsk_pcl_ros] add launch, scripts, and configs for sample of octomap_server_contact with PR2.
    
  * Add method to convert jsk_recognition_msgs/BoundingBox to cube in euslisp (#2384 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2384> )
    
      * add function to convert jsk_recognition_msgs/BoundingBox to cube in euslisp
      * divide single roseus file into node file and library file
      * correct message type
    
  * normal_estimation_omp_nodelet.cpp: add line to preserve rgb data of pointcloud (#2388 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2388> )
  * [jsk_pcl_ros, jsk_pcl_ros_utils] Use ccache if installed to make it fast to generate object file (#2342 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2342> )
    
      * [jsk_pcl_ros] Use ccache if installed to make it fast to generate object file
    
  * Fix cluster point indices decomposer to make bounding box from cloud including nan (#2369 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2369> )
    
      * remove nan only when is_dense is False
      * take over is_dense from input cloud and remove nan for bounding box computation
      * [jsk_pcl_ros] Add test_depend to jsk_perception
      * Add bbox test for cpi decomposer.
    
  * [octomap_server_contact] Publish frontier grid (#2344 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2344> )
    
      * add test topics which is passed to test_topic_published.py
      * modify name space in remap
      * add test for octomap_contact
      * install bag file for octomap server contact
      * update sample rviz config for octomap frontier
      * add sample launch file for octomap frontier grid
      * publish frontier grid in octomap_server_contact
    
  * Correct md5 of install rosbag file (#2361 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2361> )
  * Contributors: Christian Rauch, Kei Okada, Masaki Murooka, Naoya Yamaguchi, Shingo Kitagawa, Shun Hasegawa, Iory Yanokura, Hideaki Ito, Weiqi Yang

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 14 Feb 2019 00:00:00 -0000

ros-indigo-jsk-pcl-ros (1.2.6-0trusty) trusty; urgency=high

  * [octomap_server_contact] add callback function to insert proximity sensor pointcloud (#2328 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2328>)
    * [octomap_server_contact] add rosparam to select using vertex in insertContactSensor()
    * [octomap_server_contact] add callback function to insert proximity sensor pointcloud
    * [octomap_server_contact] add rosparam to select publishing unknown marker array
  * kinfu.h depends on jsk_rviz_plugins (#2310 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2310>)
  * Add detect_graspable_poses_pcabase.py and its sample (#2297 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2297>)
    * delete unnecessary try except block
    * move rospy.init_node and rospy.spin into the block of if __name__ == '__main__'
    * if else is set so that z value of grasp poses' y axies become positive.
    * delete unncessary import, change variables to snake case, put spaces
    * modify axis so that a robot can grasp object more naturally
    * fix a problem that this program does not provide correct axies when x option is selected
    * add test for detect_graspable_poses_pcabase
    * files needed to run sample of detect_graspable_poses_pcabase
    * detect_graspable_poses_pca_base.py produce graspable poses using input point cloud data, hand width, and grasp direction.
  * [jsk_pcl_ros/multi_plane_extraction] Initialize viewpoint by zeros to avoid flip of surface normal direction (#2343 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2343>)
  * [jsk_pcl_ros][organized_pass_through] add remove_nan (#2039 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2039>)
  * Install 'scripts' into SHARE_DESTINATION (#2345 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2345>)
  * [jsk_pcl_ros/package.xml] Add checkerborad_detecotr's dependency (#2319 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2319>)
  * [jsk_pcl_ros/cluster_point_indices_decomposer] Modified publishNegativeIndices to make it fast (#2326 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2326>)
    * [jsk_pcl_ros/cluster_point_indice_decomposer] Monitor num of subscriber and if equal less than 0, return.
    * [jsk_pcl_ros/cluster_point_indice_decomposer] Make publishNegativeIndices fast by fixing algorithm

