=== debian/control ===
Source: ros-indigo-jsk-pcl-ros
Section: misc
Priority: extra
Maintainer: Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-image-geometry, ros-indigo-interactive-markers, ros-indigo-jsk-data, ros-indigo-jsk-pcl-ros-utils, ros-indigo-jsk-perception, ros-indigo-jsk-recognition-utils, ros-indigo-jsk-tools, ros-indigo-jsk-topic-tools (>= 2.2.7), ros-indigo-laser-assembler, ros-indigo-moveit-ros-perception, ros-indigo-octomap-server, ros-indigo-pcl-msgs, ros-indigo-pcl-ros, ros-indigo-roslaunch, ros-indigo-rostest, ros-indigo-tf, ros-indigo-tf-conversions
Homepage: http://jsk-docs.readthedocs.io/en/latest/jsk_recognition/doc/jsk_pcl_ros
Standards-Version: 3.9.2

Package: ros-indigo-jsk-pcl-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libyaml-cpp-dev, python-sklearn, ros-indigo-checkerboard-detector, ros-indigo-cv-bridge, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-image-view2, ros-indigo-interactive-markers, ros-indigo-jsk-data, ros-indigo-jsk-footstep-msgs, ros-indigo-jsk-pcl-ros-utils, ros-indigo-jsk-recognition-msgs, ros-indigo-jsk-recognition-utils, ros-indigo-jsk-topic-tools (>= 2.2.7), ros-indigo-kdl-conversions, ros-indigo-kdl-parser, ros-indigo-laser-assembler, ros-indigo-ml-classifiers, ros-indigo-moveit-core, ros-indigo-moveit-ros-perception, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-octomap, ros-indigo-octomap-server, ros-indigo-openni-launch, ros-indigo-openni2-launch, ros-indigo-pcl-conversions, ros-indigo-pcl-msgs, ros-indigo-pcl-ros, ros-indigo-resized-image-transport, ros-indigo-robot-self-filter, ros-indigo-rosboost-cfg, ros-indigo-roscpp-tutorials, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-stereo-image-proc, ros-indigo-stereo-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-tf2-ros, ros-indigo-topic-tools, ros-indigo-visualization-msgs
Description: ROS nodelets for pointcloud perception.
